
if not WishDrill then return end

local old_TimerGui_update = TimerGui.update
function TimerGui:update(unit, t, dt)

    old_TimerGui_update(self, unit, t, dt)

    self._timerBoomReset = self._timerBoomReset or false

    local wishSettings = WishDrill.Settings

    if wishSettings.wishdrill_toggle == false then
        self._timerBoomReset = true
        return
    end

    local is_host = Network:is_server() or Global.game_settings.single_player
    local is_drill = unit:base() and unit:base().is_drill

	if is_host == false or is_drill == false or self._jammed then return end

    local wishSlider = wishSettings.wishdrill_slider

    self._randomBoom = self._current_timer - math.random( wishSlider - 5, wishSlider )
    self._timerBoom = self._timerBoom or self._randomBoom

    if self._timerBoomReset == true then
        self._timerBoom = self._randomBoom
        self._timerBoomReset = false
    end

    if self._timerBoom >= self._current_timer then
        self:set_jammed(true)
        self._timerBoom = self._randomBoom
    end

end